Page 1 of 1

mint 19 cinnamon - adapta theme

Posted: Tue Aug 14, 2018 8:21 am
by Reaccion Raul
Hi, i was trying to install Adapta Theme but can't get it work, it asks for:

when i make:

Code: Select all

./autogen.sh

it returns

Code: Select all

configure.ac:14: installing './install-sh'
configure.ac:14: installing './missing'
+ ./configure --prefix=/usr --disable-gtk_next --disable-parallel --disable-chrome-legacy --disable-plank --disable-telegram
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether UID '1000' is supported by ustar format... yes
checking whether GID '1000' is supported by ustar format... yes
checking how to create a ustar tar archive... gnutar
checking whether make supports nested variables... (cached) yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
[b]checking for GDK_PIXBUF... no
configure: error: Package requirements (gdk-pixbuf-2.0 >= 2.32.2) were not met:

No package 'gdk-pixbuf-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables GDK_PIXBUF_CFLAGS
and GDK_PIXBUF_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.[/b]
it's better to let it go or can i install safely what it asks? i though it would be compatible with mint 19 since it's brand new.

how can i continue?

Re: mint 19 cinnamon - adapta theme

Posted: Tue Aug 14, 2018 1:32 pm
by JosephM

Code: Select all

apt install libgdk-pixbuf2.0-dev

Re: mint 19 cinnamon - adapta theme

Posted: Tue Aug 14, 2018 1:53 pm
by Reaccion Raul
I came back to post my solution, sorry, i just forgot to sudo apt upgrade. If you download it from their PPA there's no problem. I read somewhere than on Ubuntu 18.04 there was no need for sudo apt upgrade, but at least on Mint still there is.

Thanks anyway!

The theme fits perfect on Cinnamon, very lovely

Re: mint 19 cinnamon - adapta theme

Posted: Tue Aug 14, 2018 2:31 pm
by JosephM
Whenever you add a new source to get software from, such as a PPA, you need to run apt update not upgrade. Then you can install software from the new source.